This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 593192

Summary: Rebase request to ruby-1.8.6.399
Product: Red Hat Enterprise Linux 6 Reporter: Akira TAGOH <tagoh>
Component: rubyAssignee: Jim Meyering <meyering>
Status: CLOSED CURRENTRELEASE QA Contact: Aleš Mareček <amarecek>
Severity: medium Docs Contact:
Priority: low    
Version: 6.0CC: borgan, eng-i18n-bugs, syeghiay
Target Milestone: rcKeywords: Rebase
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ruby-1.8.7.299-3.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-10 16:32:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 555730    

Description Akira TAGOH 2010-05-18 02:22:22 EDT
Description of problem:
I'd like to propose rebasing ruby package in RHEL-6 to the latest Fedora one. upstream is currently maintaining three branches, 1.9.x (stable), 1.8.7.x, and 1.8.6.x for compatibilities and to take care of users who still uses them.
From the experience on security fixes on the deployed RHEL products, maintaining older version isn't a good idea for the updates. this requires extra costs to backport the fixes from upstream. so that would be good to sync to the latest one for the future maintenance.
Comment 2 RHEL Product and Program Management 2010-05-18 02:35:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Akira TAGOH 2010-05-24 05:18:08 EDT
ruby-1.8.6.399-5.1.el6 has been built.
Comment 11 Jim Meyering 2010-08-13 17:55:44 EDT
Hi Aleš,

Thanks for the info.
I built on both i686 and x86_64, and tests passed on both RHEL6 and F13.
However, that was at least a month ago.
What precise steps have you taken to get the above results?
Comment 12 Aleš Mareček 2010-08-16 04:31:06 EDT
Hi Jim,
these followings are steps I've done:
1. download source package
2. unrpm, unbzip, untar it
3. apply all related patches
4. configure && make {,check}
Comment 14 Jim Meyering 2010-08-18 18:14:46 EDT
Hi Aleš,

Did you run "configure && make && make check", i.e., with no configure options?
If not, please specify *exactly* what commands you used.

The .spec file uses many configure options.  I suspect that test failures resulting from even a slightly differing ./configure ... command are not relevant.
Comment 22 releng-rhel@redhat.com 2010-11-10 16:32:42 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.